PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package terminals
  Definition Classes
    serverobject
-  object Terminal
  Definition Classes
    terminals
- BuyEquipment
- BuyExosuit
- BuyVehicle
- Exchange
- InfantryLoadout
- LearnCertification
- LearnImplant
- NoDeal
- Request
- SellCertification
- SellEquipment
- SellImplant
- StartProximityEffect
- StopProximityEffect
- TerminalMessage
- VehicleLoadout

c

net.psforever.objects.serverobject.terminals.Terminal

# BuyExosuit

###

#### final case class BuyExosuit(exosuit: types.ExoSuitType.Value, subtype: Int = 0) extends Exchange with Product with Serializable

The `Player` exo-suit will be changed to the prescribed one. The subtype will be important if the user is swapping to an `ExoSuitType.MAX` exo-suit. A result of a processed request.

exosuit

  the type of exo-suit

subtype

  the exo-suit subtype, if any

Source
  Terminal.scala

Linear Supertypes
Serializable, Product, Equals, Exchange, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. BuyExosuit
2. Serializable
3. Product
4. Equals
5. Exchange
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new BuyExosuit(exosuit: types.ExoSuitType.Value, subtype: Int = 0)

   exosuit

     the type of exo-suit

   subtype

     the exo-suit subtype, if any

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  val exosuit: types.ExoSuitType.Value
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
11.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
12.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
13.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  def productElementNames: Iterator[String]
    Definition Classes
      Product
15.  val subtype: Int
16.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
17.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
18.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Exchange

### Inherited from AnyRef

### Inherited from Any

### Ungrouped